DWEB - All Hotels, misc - DC #61

DC ROOM UPDATES
10/17/2025 04:11 PM - Jal Arancon

Status: New Start date: 10/17/2025
Priority: Medium Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Description

10/17/25 - DC 103 PTAC was - replaced micro board on unit

History

#1 - 10/17/2025 04:12 PM - Jal Arancon
- Tracker changed from PSS to DC

#2 - 10/17/2025 04:28 PM - Jal Arancon

Jal Arancon wrote:

10/17/25 - DC 103 PTAC was - replaced micro board on unit

10/17/25 - fixed the door handle 119, 114 door handle needs to be fix too

#3 - 10/17/2025 04:28 PM - Jal Arancon
10/17/25 - room 114 tightened the door handle

#4 - 10/19/2025 05:10 PM - Jal Arancon

Ben installed a new breaker in DC cause of continuous power issues of 122 and 120 / 10/18/25
